Loading...
Searching...
No Matches
caf::detail::tl_map_conditional< List, Trait, TRes, Funs > Struct Template Reference

Creates a new list by applying a Fun to each element which returns TraitResult for Trait. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<class List, template< class > class Trait, bool TRes, template< class > class... Funs>
struct caf::detail::tl_map_conditional< List, Trait, TRes, Funs >

Creates a new list by applying a Fun to each element which returns TraitResult for Trait.

## Member Typedef Documentation

## type

template<class List, template< class > class Trait, bool TRes, template< class > class... Funs>

using caf::detail::tl_map_conditional< List, Trait, TRes, Funs >::type

Initial value:
tl_concat_t<
type_list<
typename std::conditional<
Trait<tl_head_t<List>>::value == TRes,
tl_apply_all_t<tl_head_t<List>, Funs...>,
tl_head_t<List>
>::type
>,
typename tl_map_conditional<tl_tail_t<List>, Trait, TRes, Funs...>::type
>
caf::detail::tl_map_conditional
Creates a new list by applying a Fun to each element which returns TraitResult for Trait.
Definition type_list.hpp:686
caf::detail::type_list
A list of types.
Definition type_list.hpp:36

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp